Bug 829928 - Reach 100% coverage on rhc/config.rb
Reach 100% coverage on rhc/config.rb
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 16:07 EDT by Clayton Coleman
Modified: 2015-05-14 21:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 19:43:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2012-06-07 16:07:31 EDT
We don't have 100% coverage of unit tests in config.rb

Also, the model of config.rb (static global) makes it very hard to mock for test.

We should create a config class that can be instantiated and cached globally, but instantiate or stub for tests easily.
Comment 1 Rob Millner 2012-06-08 14:08:33 EDT
Should this be severity = urgent?
Comment 2 Clayton Coleman 2012-06-25 18:25:08 EDT
Fixt

Note You need to log in before you can comment on or make changes to this bug.